from bs_commons.dku_utils.projects.project_commons import get_current_project_and_variables
from bs_commons.dku_utils.projects.scenarios.scenario_commons import switch_scenario_triggers_state, switch_scenario_auto_trigger_state
from solution.constants import FLOW_REFRESH_SCENARIO_ID
from solution.checks import check_automation_prerequisites

project, variables = get_current_project_and_variables()
check_automation_prerequisites(project, variables)
switch_scenario_triggers_state(project, FLOW_REFRESH_SCENARIO_ID, [True])
switch_scenario_auto_trigger_state(project, FLOW_REFRESH_SCENARIO_ID, True)